Summary: An English-language thesaurus library.
Name:	 aiksaurus
Epoch:	 1
Version: 1.2.1
#Release: 2
Release: 0.0%{?dist}%{?kde}
Group: 	 System Environment/Libraries
License: GPL
Source: http://dl.sourceforge.net/aiksaurus/aiksaurus-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{releaes}-root
BuildRequires: gtk2-devel

%description
Aiksaurus is an English-language thesaurus library that can be 
embedded in word processors, email composers, and other authoring
software to provide thesaurus capabilities.  A basic command line 
thesaurus program is also included.

%package devel
Summary: Files for developing with aiksaurus.
Group:	Development/Libraries
Requires: %{name} = %{epoch}:%{version}
%description devel
Includes and definitions for developing with aiksaurus.

%package gtk
Summary: A GTK+ frontend to aiksaurus.
Group:	 System Environment/Libraries
Requires: %{name} = %{epoch}:%{version} 
%description gtk
AiksaurusGTK is a GTK+ interface to the Aiksaurus library.  
It provides an attractive thesaurus interface, and can be embedded
in GTK+ projects, notably AbiWord.  A standalone thesaurus program
is also provided.

%package gtk-devel
Requires: aiksaurus-gtk = %{epoch}:%{version}
Requires: aiksaurus-devel = %{epoch}:%{version}
Summary: Files for developing with aiksaurus-gtk.
Group: Development/Libraries
%description gtk-devel
gtk includes and definitions for developing with aiksaurus.


%prep
%setup -q


%build
%configure --program-prefix="%{?_program_prefix}"

make %{?_smp_mflags}


%install
#makeinstall
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-, root, root)
%doc ChangeLog README COPYING AUTHORS
%{_bindir}/aiksaurus
%{_bindir}/caiksaurus
%{_libdir}/*Aiksaurus-*.so.*
%{_datadir}/*

%files devel
%defattr(-, root, root)
%{_includedir}/Aiksaurus/Aiksaurus.h
%{_includedir}/Aiksaurus/AiksaurusC.h
%{_libdir}/*Aiksaurus.so
%{_libdir}/pkgconfig/aiksaurus-1.0.pc

%files gtk
%defattr(-, root, root)
%{_bindir}/gaiksaurus
%{_libdir}/*GTK*.so.*

%files gtk-devel
%defattr(-, root, root)
%{_includedir}/Aiksaurus/AiksaurusGTK*.h
%{_libdir}/*GTK*.so
%{_libdir}/pkgconfig/gaiksaurus-1.0.pc


%changelog
* Wed Oct 10 2004 Caolan McNamara <caolanm@redhat.com> 1.2.1-2
- #rh134808# BuildRequires gtk2-devel

* Tue Aug 10 2004 Caolan McNamara <caolanm@redhat.com>
- initially import 1.2.1 and tweak .spec
